//
//  ViewController.m
//  DatePickerTest
//
//  Created by 路准晴 on 16/9/27.
//  Copyright © 2016年 luzhunqing. All rights reserved.
//

#import "ViewController.h"
#import "LZQPicker.h"

@interface ViewController ()<LZQPickerDelegate>
@property (nonatomic,strong)LZQPicker  *picker;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];

    _picker = [[LZQPicker alloc] initWithFrame:self.view.frame type:UIDatePickerModeDateAndTime andDelegate:self];

}

- (void)cahngeValue:(UIDatePicker *)sender
{
    NSLog(@"%@",[_picker stringFromDate:sender.date]);
}




- (IBAction)buttonClick:(id)sender
{
    [_picker show];
    
}

#pragma LZQPickerDelegate

- (void)changeTime:(NSDate *)date
{
    NSLog(@"选择了:%@",[_picker stringFromDate:date]);
}

- (void)determinSelected:(NSDate *)date
{
     NSLog(@"最终选择了:%@",[_picker stringFromDate:date]);
}
@end
